<?php

include ("../conexion.php"); 
date_default_timezone_set('America/Costa_Rica');		
  
  		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s' ){
		}else{
			header('location:acceso_denegado.php');
		}



       $promociones = "SELECT * FROM promociones ";
	   

       $result_promociones = $mysqli->query($promociones);
       $row_pro = $result_promociones->fetch_array();
     
	
	   $nompro =  $row_pro["nompro"];
	  $monpro =  $row_pro["monpro"];
	   $propro =  $row_pro["propro"];
	  $topacpro =  $row_pro["topacpro"];
	   $fecinipro =  $row_pro["fecinipro"];
	  $fecifinpro =  $row_pro["fecifinpro"];
	  

	  $fechainicio = implode("-", array_reverse(explode("-", $fecinipro))); 
	  $fechafin    = implode("-", array_reverse(explode("-", $fecifinpro)));  

$hoy=date("d/m/Y");
$hora=date("H:i:s");
?>
<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        	
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		



  
		<script language="javascript">

		  		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
			function cancelar() {
			location.href="../Fondo/Fondo.php";
		}
		
		
		
				function aceptar() {
				
				 var mensaje = '';
if (confirm(" Desea Guardar los datos de la Promocion ? "))


			if (document.getElementById('nompro').value=='') 
			mensaje+='  - Nombre de la Promocion\n'; enfoque='nompro'
			
			if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
			if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
			
						if (mensaje != '') {
                        alert('Atencion, Los siguientes campos son obligatorios:\n\n'+mensaje)
						   
                } else {
				
				



					document.formulario.submit();
				
		}
			
		}	
						
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


 
  function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio+"T00:00:00");
	 date2 = new Date(fechafin+"T00:00:00"); 
	 

		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);
	
	/*******************************************************/

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if ( (fechainicio !="" ) || (fechainicio !="0000-00-00") ){
		
		
var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){

		
	if (f2.getTime() < f1.getTime()){
	 alert("la Fecha Inicial no puede ser menor a la Actual ");
	 
	 
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	 if (fechafin !=""   || (fechafin !="0000-00-00")  ) {	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() < f1.getTime()){
	 alert("la Fecha Final no puede ser menor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
 
 

	

	}
	
	
	  if  (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}
	
//	buscar();
	}
		

	

		  function inicio(){
			  
	   		document.getElementById("nompro").focus();
			document.getElementById("nompro").select();
	
}
	
	
	jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});
		</script>
	</head>
	<body  onLoad="inicio()" >
		<div id="">
			<div id="zonaContenido">
				<div align="center">
				  <p>&nbsp;</p>
				  <div id="tituloForm" class="header">Datos de la Promocion</div>
				
				<p>&nbsp;	</p>
				<form id="formulario" name="formulario" method="post" action="guardar_promociones.php">
				<div id="formulario" class="contenido1">
					<table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>
						
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td width="45%" rowspan="7"><img src="../img/promociones_1.png" width="450" height="170"   border="0"  />					     </td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Nombre </td>
						  <td colspan="3"><input id="nompro" name="nompro" type="text" class="cajaGrande"  autocomplete="off"  value="<?php echo $nompro ?>" onFocus="siguienteCampo ='monto';"     ></td>
						  <td>&nbsp;</td>
				      </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Monto</td>
						  <td width="11%"><input id="monto" name="monto" type="text" class="cajaGrande"  autocomplete="off"   value="<?php echo $monpro ?>" onFocus="siguienteCampo ='cantpro';"  style='text-align:center;'></td>
						  <td>Productos</td>
						  <td><input id="cantpro" name="cantpro" type="number" class="cajaGrande"  autocomplete="off"   value="<?php echo $propro ?>" onFocus="siguienteCampo ='fechainicio';"  style='text-align:center;' ></td>
						  <td>&nbsp;</td>
					  </tr>
						
						<tr>
						  <td width="2%">&nbsp;</td>
							<td width="10%">Fecha Inicial</td>
						    <td><input id="fechainicio" type="text" class="cajaGrande" name="fechainicio" maxlength="10"  onFocus="siguienteCampo ='fechafin';"  style='text-align:center;' onChange="comprobar_fechas()" value="<?php echo $fechainicio?>" ></td>
						    <td width="9%">Fecha Final</td>
						    <td width="18%"><input id="fechafin" type="text" class="cajaGrande" name="fechafin" maxlength="10" value="<?php echo $fechafin?>"  onFocus="siguienteCampo ='acciones';"  style='text-align:center;' onChange="comprobar_fechas()" ></td>
						    <td width="5%">&nbsp;</td>
			            </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Limite Acciones</td>
						  <td><input id="acciones" name="acciones" type="number" class="cajaGrande"  autocomplete="off"  value="<?php echo $topacpro?>" onFocus="siguienteCampo ='nompro';" style='text-align:center;' ></td>
						  <td>&nbsp;</td>
			
					  
					  
						  <td></td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
					  </tr>
						<tr>
						  <td width="2%">&nbsp;</td>
							<td width="10%">&nbsp;</td>
						    <td>&nbsp;</td>
						    <td width="9%">&nbsp;</td>
						    <td width="18%">&nbsp;</td>
						    <td width="5%">&nbsp;</td>
			            </tr>							
					</table>
			      <img src="../img/Symbol-Check_48x48-32.png"  onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Guardar">
                  <img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Cancelar"></div>
			  <div id="botonBusqueda">
			  <input type="hidden" name="id" id="id" value="">
				</form>
			
		  </div>
		</div>
	</body>
</html>
